
# IW4MAdmin [![GitHub license](https://img.shields.io/github/license/RaidMax/IW4M-Admin)](https://github.com/RaidMax/IW4M-Admin/blob/2.4-pr/LICENSE) [![GitHub stars](https://img.shields.io/github/stars/RaidMax/IW4M-Admin)](https://github.com/RaidMax/IW4M-Admin/stargazers)  
[![ko-fi](https://www.ko-fi.com/img/githubbutton_sm.svg)](https://ko-fi.com/J3J821KUJ)

## About
**IW4MAdmin** is an administration tool for [IW4x](https://iw4x.org/), [IW6x](https://xlabs.dev), [Pluto T6](https://forum.plutonium.pw/category/6/plutonium-t6), [Pluto IW5](https://forum.plutonium.pw/category/14/plutonium-iw5), [CoD4x](https://cod4x.me/), [TeknoMW3](https://github.com/Musta1337/TeknoMW3), and most Call of Duty® dedicated servers. It allows complete control of your server; from changing maps, to banning players, **IW4MAdmin** monitors and records activity on your server(s). With plugin support, extending its functionality is a breeze.
### Download
Latest binary builds are always available at:
- [GitHub](https://github.com/RaidMax/IW4M-Admin/releases)
- [RaidMax](https://raidmax.org/IW4MAdmin)  


## Setup
**IW4MAdmin** requires minimal effort to get up and running.
### Prerequisites
* [.NET Core 6.0.x Runtime](https://www.microsoft.com/net/download)
    * [Direct Download (Windows)](https://dotnet.microsoft.com/en-us/download/dotnet/thank-you/runtime-aspnetcore-6.0.1-windows-hosting-bundle-installer)
    * [Package Installation Instructions (Linux)](https://docs.microsoft.com/en-us/dotnet/core/install/linux)
### Installation
1. Install .NET Core Runtime
2.  Extract `IW4MAdmin-<version>.zip`  
### Launching
Windows
1. Run `StartIW4MAdmin.cmd`
2. Configure **IW4MAdmin**

Linux
1. Execute `chmod +x StartIW4MAdmin.sh`  
2. Run `./StartIW4MAdmin.sh`
3. Configure **IW4MAdmin**

### First Steps
1. Go ingame and type via the **ingame chat** `!owner` to claim ownership (full admin permissions) of the server
2. Login to the webfront by accessing http://<machine_ip_here>:1624 and clicking on the key icon
    * You will need to retrieve your login credentials by typing `!rt` ingame

### Updating
**Manually**  
1. Download the latest version of **IW4MAdmin**
2. Extract the newer version of **IW4MAdmin** into pre-existing **IW4MAdmin** folder and overwrite existing files

    _Your configuration and database will be saved_

**OR**  
Use the provided `UpdateIW4MAdmin` script to download and install automatically

| Argument Windows (Linux) | Description                                               |
|--------------------------|-----------------------------------------------------------|
| -Silent (s)              | Do not prompt for any user input                          |
| -Clean (c)               | Clean unneeded files listed in `_delete.txt` after update |
| -Verified (v)            | Only update releases in the verified stream               |
 | -Directory (d)           | Directory to install to                                   |

## Help
Feel free to join the **IW4MAdmin** [Discord](https://discord.gg/ZZFK5p3)  
If you come across an issue,  bug, or feature request please post an [issue](https://github.com/RaidMax/IW4M-Admin/issues)


#### Explore the [wiki](https://github.com/RaidMax/IW4M-Admin/wiki) to find more information.
